Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class IpResource

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.IpResource

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`

    public class IpResource
    extends Id
    implements GuiTitlable

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IpResource()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte[]` | `getAddressFrom()` |
  `byte[]` | `getAddressTo()` |
  `int` | `getCategoryId()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getConfig()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `java.lang.String` | `getDns()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `short` | `getPrefixLength()` |
  `java.lang.String` | `getRouter()` |
  `java.lang.String` | `getSubnetMask()` |
  `void` | `setAddressFrom​(byte[] addressFrom)` |
  `void` | `setAddressTo​(byte[] addressTo)` |
  `void` | `setCategoryId​(int categoryId)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setDns​(java.lang.String dns)` |
  `void` | `setPrefixLength​(short prefixLength)` |
  `void` | `setRouter​(java.lang.String router)` |
  `void` | `setSubnetMask​(java.lang.String subnetMask)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpResource

    public IpResource()

- ## Method Details

  - ### getCategoryId

    public int getCategoryId()

  - ### setCategoryId

    public void setCategoryId​(int categoryId)

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### setAddressFrom

    public void setAddressFrom​(byte[] addressFrom)

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### setAddressTo

    public void setAddressTo​(byte[] addressTo)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getRouter

    public java.lang.String getRouter()

  - ### setRouter

    public void setRouter​(java.lang.String router)

  - ### getSubnetMask

    public java.lang.String getSubnetMask()

  - ### setSubnetMask

    public void setSubnetMask​(java.lang.String subnetMask)

  - ### getDns

    public java.lang.String getDns()

  - ### setDns

    public void setDns​(java.lang.String dns)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### getPrefixLength

    public short getPrefixLength()

  - ### setPrefixLength

    public void setPrefixLength​(short prefixLength)